package gov.va.vinci.dart.json.builder;

import java.util.List;

import gov.va.vinci.dart.biz.DocumentTemplate;
import gov.va.vinci.dart.json.DocumentTemplateListView;

public class DocumentTemplateListViewBuilder {
	private DocumentTemplateViewBuilder viewBuilder = new DocumentTemplateViewBuilder();
	
	public DocumentTemplateListView build(final List<DocumentTemplate> templateList) {
		DocumentTemplateListView result = new DocumentTemplateListView();
		
		for (DocumentTemplate temp : templateList) {
			result.getTemplates().add(viewBuilder.build(temp));
		}
		
		return result;
	}
}
